#
%bcond_without	tests
#
%define	dovecot_series		2.3
%define	pigeonhole_version	0.5.21.1
Summary:	Sieve plugin for dovecot
Summary(pl.UTF-8):	Wtyczka Sieve i Managesieve dla dovecota
Name:		dovecot-pigeonhole
Version:	%{dovecot_series}_%{pigeonhole_version}
Release:	1
License:	LGPL
Group:		Daemons
Source0:	https://pigeonhole.dovecot.org/releases/%{dovecot_series}/dovecot-%{dovecot_series}-pigeonhole-%{pigeonhole_version}.tar.gz
# Source0-md5:	d2b811648a3e2942736a5e1755bfe872
URL:		http://pigeonhole.dovecot.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
#BuildRequires:	dovecot-devel >= 1:%{dovecot_series}
BuildRequires:	dovecot-devel >= 1:2.3.21
BuildRequires:	flex
BuildRequires:	libtool
%requires_eq_to	dovecot dovecot-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define skip_post_check_so	libdovecot-sieve.so.0.0.0

%description
Dovecot Pigeonhole is implementation of Sieve for Dovecot v2.x

%description -l pl.UTF-8
Dovecot Pigeonhole jest implementacją Sieve dla Dovecot v2.x

%package devel
Summary:	Libraries and headers for %{name}
Summary(pl.UTF-8):	Pliki nagłówkowe dla %{name}
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
This package contains development files for linking against %{name}.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki rozwoju łączenia %{name}.

%package -n dovecot-managesieve
Summary:	Manage Sieve daemon for dovecot
Summary(pl.UTF-8):	Manage Sieve demon dla dovecot
Group:		Daemons

%description -n dovecot-managesieve
Manage Sieve daemon for dovecot.

%description -n dovecot-managesieve -l pl.UTF-8
Ten pakiet zawiera demona Manage Sieve dla dovecot.

%prep
%setup -q -n dovecot-%{dovecot_series}-pigeonhole-%{pigeonhole_version}

%build
%configure \
	ac_cv_path_VALGRIND=reject \
	--with-dovecot=%{_libdir}/dovecot \
	--with-managesieve=yes \
	--prefix=%{_libdir}/dovecot

%{__make}

%{?with_tests:%{__make} -j1 check}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{_libdir}/dovecot/ -name '*.la' | xargs rm -f
find $RPM_BUILD_ROOT%{_libdir}/dovecot/ -name '*.a' | xargs rm -f

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/example-config/conf.d/90-sieve.conf
%doc doc/extensions
%attr(755,root,root) %{_bindir}/sieve-test
%attr(755,root,root) %{_bindir}/sieve-filter
%attr(755,root,root) %{_bindir}/sievec
%attr(755,root,root) %{_bindir}/sieve-dump
%attr(755,root,root) %{_libdir}/dovecot/plugins/lib90_sieve_plugin.so
%attr(755,root,root) %{_libdir}/dovecot/libdovecot-sieve.so*
%attr(755,root,root) %{_libdir}/dovecot/plugins/lib95_imap_filter_sieve_plugin.so
%attr(755,root,root) %{_libdir}/dovecot/plugins/lib95_imap_sieve_plugin.so
%attr(755,root,root) %{_libdir}/dovecot/plugins/doveadm/lib10_doveadm_sieve_plugin.so
%dir %{_libdir}/dovecot/plugins/settings
%attr(755,root,root) %{_libdir}/dovecot/plugins/settings/libpigeonhole_settings.so
%dir  %{_libdir}/dovecot/plugins/sieve
%attr(755,root,root) %{_libdir}/dovecot/plugins/sieve/lib90_sieve_extprograms_plugin.so
%attr(755,root,root) %{_libdir}/dovecot/plugins/sieve/lib90_sieve_imapsieve_plugin.so

%{_mandir}/man1/doveadm-sieve.1*
%{_mandir}/man1/sieve-test.1*
%{_mandir}/man1/sieve-filter.1*
%{_mandir}/man1/sievec.1*
%{_mandir}/man1/sieved.1*
%{_mandir}/man1/sieve-dump.1*
%{_mandir}/man7/pigeonhole.7*

%files devel
%defattr(644,root,root,755)
%{_aclocaldir}/dovecot-pigeonhole.m4
%dir %{_includedir}/dovecot/sieve
%{_includedir}/dovecot/sieve/*.h

%files -n dovecot-managesieve
%defattr(644,root,root,755)
%doc doc/example-config/conf.d/20-managesieve.conf
%attr(755,root,root) %{_libexecdir}/dovecot/managesieve
%attr(755,root,root) %{_libexecdir}/dovecot/managesieve-login
%{_libdir}/dovecot/plugins/settings/libmanagesieve_login_settings.so
%{_libdir}/dovecot/plugins/settings/libmanagesieve_settings.so
%changelog
* Sun Aug 25 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dovecot-pigeonhole.git;a=log;h=master

* Sun Aug 25 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> 04dd7d8
- Up to 0.5.21.1

* Sat Aug 24 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> 7a3a8b3
- Release 5 (by relup.sh)

* Mon Oct 09 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> b2a30f2
- Up to 0.5.21

* Sun Dec 25 2022 Jan Rękorajski <baggins@pld-linux.org> 4e9167b
- Release 4 (by relup.sh)

* Sun Aug 14 2022 Jan Rękorajski <baggins@pld-linux.org> 49ef02a
- Release 3 (by relup.sh)

* Thu Aug 11 2022 Jan Rękorajski <baggins@pld-linux.org> 171a896
- Release 2 (by relup.sh)

* Wed May 11 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b74781
- Up to 0.5.19.

* Thu Feb 03 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> bd415bd
- Up to 0.5.18.

* Mon Dec 13 2021 Jan Rękorajski <baggins@pld-linux.org> bd1d21a
- Release 2 (by relup.sh)

* Wed Dec 01 2021 Jan Rękorajski <baggins@pld-linux.org> 8bfc276
- up to 0.5.17

* Mon Nov 29 2021 Jan Rękorajski <baggins@pld-linux.org> 9833f3a
- Release 2 (by relup.sh)

* Thu Aug 12 2021 Jan Palus <atler@pld-linux.org> 97fd5f2
- updated var for disabling valgrind

* Thu Aug 12 2021 Jan Palus <atler@pld-linux.org> 5f07abf
- up to 0.5.16

* Sun Jul 11 2021 Jan Rękorajski <baggins@pld-linux.org> 47db57b
- up to 0.5.15

* Mon Jul 05 2021 Jan Rękorajski <baggins@pld-linux.org> fe0bdf2
- Release 4 (by relup.sh)

* Sat Mar 13 2021 Jan Rękorajski <baggins@pld-linux.org> 01cc7c5
- release 3 (by relup.sh)

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> fa82db4
- release 2 (by relup.sh)

* Tue Jan 05 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> f73cf7b
- up to 0.5.13

* Thu Aug 13 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 9f9f25d
- up to 2.3 0.5.11

* Tue May 19 2020 Jan Rękorajski <baggins@pld-linux.org> 45a58d1
- release 2 (by relup.sh)

